# IO_MultiSegmentPlacer.cpp File Reference

`#include <osgParticle/MultiSegmentPlacer>`
`#include <osgDB/Registry>`
`#include <osgDB/Input>`
`#include <osgDB/Output>`
`#include <osg/Vec3>`
`#include <iostream>`

Include dependency graph for IO_MultiSegmentPlacer.cpp:

## Functions

bool | MultiSegmentPlacer_readLocalData (osg::Object &obj, osgDB::Input &fr)
bool | MultiSegmentPlacer_writeLocalData (const osg::Object &obj, osgDB::Output &fw)

## Variables

osgDB::RegisterDotOsgWrapperProxy | MultiSegmentPlacer_Proxy (new osgParticle::MultiSegmentPlacer,"MultiSegmentPlacer","Object Placer MultiSegmentPlacer", MultiSegmentPlacer_readLocalData, MultiSegmentPlacer_writeLocalData)

## Function Documentation

bool MultiSegmentPlacer_readLocalData | ( | osg::Object & | obj,
|  | osgDB::Input & | fr
| ) |

bool MultiSegmentPlacer_writeLocalData | ( | const osg::Object & | obj,
|  | osgDB::Output & | fw
| ) |

## Variable Documentation

osgDB::RegisterDotOsgWrapperProxy MultiSegmentPlacer_Proxy(new osgParticle::MultiSegmentPlacer,"MultiSegmentPlacer","Object Placer MultiSegmentPlacer", MultiSegmentPlacer_readLocalData, MultiSegmentPlacer_writeLocalData)